using System;
using System.Collections.Generic;
using System.Security;
class Program
{

    static void Main(string[] args)
    {
        string x = Console.ReadLine();
        string y = Console.ReadLine();
        List<int> prvi = new List<int>();
        List<int> drugi = new List<int>();
        List<int> novi = new List<int>();
        for (int i = 0; i < x.Length; i++)
        {
            prvi.Add(x[i] - '0');
        }
        for (int i = 0; i < y.Length; i++)
        {
            drugi.Add(y[i] - '0');
        }
        int k = x.Length;
        int l = y.Length;
        int h = k - l;
        while (k != l)
        {
            if (k > l) { novi.Add(prvi[0]); k--; prvi.Remove(prvi[0]); }
            else if (k < l) { novi.Add(drugi[0]); l--; drugi.Remove(drugi[0]); }
        }

        for (int i = 0; i < k; i++)
        {
            if (prvi[i] > drugi[i]) novi.Add(prvi[i]);
            else if (prvi[i] < drugi[i]) novi.Add(drugi[i]);
            else
            {
                novi.Add(prvi[i]);
                novi.Add(drugi[i]);
            }
        }
        foreach (int j in novi)
        {
            Console.Write(j);
        }
    }
}